Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 18-06-2012 21:25:11

Caly
Membre
Lieu : Belgique
Distrib. : Testing/Stretch
Noyau : Linux 4.6.0-1-amd64
(G)UI : XFCE
Inscription : 31-07-2011
Site Web

Texte dégradé (dans le sens abîmé)

Bonjour les gens. smile
J'ai réinstaller une petite debian ce matin sur mon fixe, avec WMFS comme windows manager.
Seulement, j'ai un petit problème d'affichage avec les textes.
Mieux que du texte, une image: http://d30.e-loader.net/XYc6K20ulr.png
J'ignore comment arranger ça. C'est assez gênant.
Ma carte graphique est une Nvidia GT430 et j'utilise le pilote Nouveau. ^^

Merci d'avance,
Caly

bepo.png vegetarian.gif

Hors ligne

#2 18-06-2012 21:31:00

Flo
Membre
Inscription : 03-05-2012

Re : Texte dégradé (dans le sens abîmé)

Même problème chez moi (et on est pas les seuls...)
nvidia 310M, xfce, compiz, wheezy, nouveau

Flo

Hors ligne

#3 18-06-2012 21:32:27

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : Texte dégradé (dans le sens abîmé)

Yep!

Ton image ne montre rien d'anormal ou alors j'ai mal vu. Tu pourrais peut être remettre une image en zoomant sur la partie qui pose problème.

Parce que là, à part un hypothétique problème de lissage que j'ai crû apercevoir en appliquant sur mon écran de 96 pouces une loupe à double flux à axe perpendiculaire... lol

@+

Zoroastre.

Hors ligne

#4 18-06-2012 21:34:07

Flo
Membre
Inscription : 03-05-2012

Re : Texte dégradé (dans le sens abîmé)

@zoroastre74 : regarde le texte sous l'image dans l'image.

Flo

Hors ligne

#5 18-06-2012 21:35:17

Caly
Membre
Lieu : Belgique
Distrib. : Testing/Stretch
Noyau : Linux 4.6.0-1-amd64
(G)UI : XFCE
Inscription : 31-07-2011
Site Web

Re : Texte dégradé (dans le sens abîmé)

Là je peux pas trop. ^^
Concrètement, juste à droite de l'avatar sur DeviantArt. Grosse ligne noire pixellisée. ^^

bepo.png vegetarian.gif

Hors ligne

#6 18-06-2012 21:50:39

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : Texte dégradé (dans le sens abîmé)

Yep!

Effectivement, çà ressemble beaucoup à un problème d'anti aliasing...

@+

Zoroastre.

Hors ligne

#7 18-06-2012 21:54:34

Caly
Membre
Lieu : Belgique
Distrib. : Testing/Stretch
Noyau : Linux 4.6.0-1-amd64
(G)UI : XFCE
Inscription : 31-07-2011
Site Web

Re : Texte dégradé (dans le sens abîmé)

Voilà une zone où on voit clairement le problème: T43dCIRjm9.png

bepo.png vegetarian.gif

Hors ligne

#8 19-06-2012 12:48:35

bract
Modérateur
Lieu : Pays du kiwi
Distrib. : wheezy
Noyau : 3.2.0-3 amd64
(G)UI : gnome 3.4.2 + lxde(eeepc)
Inscription : 05-02-2011

Re : Texte dégradé (dans le sens abîmé)

Bonjour,

ce problème ne touche que iceweasel?

L'asso est lancée. cool
La connaissance s'acquiert par l'expérience, tout le reste n'est que de l'information.[Albert Einstein]

Hors ligne

#9 19-06-2012 13:08:44

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Texte dégradé (dans le sens abîmé)

Bonjour

J'ai déjà eu ce problème sous sid il y a 2 mois.
J'ai résolu le problème comme  ça. Si mon anglais est correct, c'etait un vieux bug de Xorg qui ressort suite à une nouvelle version de libcairo2. La version 1.12.0-2 semble donc à proscrire.
Il me semble que c'est corrigé sous Sid ( J'ai la version 1.12.2-2 installé à l'heure actuelle ).

Ben

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#10 21-06-2012 12:26:44

Flo
Membre
Inscription : 03-05-2012

Re : Texte dégradé (dans le sens abîmé)

J'ai essayé avec les versions 1.12.2-1 0 et 1.12.2-2 0 de wheezy et sid, et dans les deux cas, le problème persiste.
J'ai ce problème principalement avec Iceweasel et Pidgin.

Flo

Hors ligne

#11 21-06-2012 22:12:35

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Texte dégradé (dans le sens abîmé)

Et si tu tentes la 1.10.2-7 comme j'avais fait ?

Ben

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#12 22-06-2012 07:44:17

Flo
Membre
Inscription : 03-05-2012

Re : Texte dégradé (dans le sens abîmé)

Elle n'est plus dans les dépôt.

Flo

Hors ligne

#13 22-06-2012 07:48:48

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Texte dégradé (dans le sens abîmé)

Personnellement, j'avais encore ce problème dans la 1.12.2-2.
Je suis donc passé à la 1.10.2-7 que j'ai récupéré dans les dépôts des archives. J'ai fait un hold sur ce paquet du coup. En attendant mieux smile.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#14 22-06-2012 09:04:03

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Texte dégradé (dans le sens abîmé)


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#15 22-06-2012 17:52:37

Flo
Membre
Inscription : 03-05-2012

Re : Texte dégradé (dans le sens abîmé)

Merci captnfab et bendia, cette version a résolue le problème chez moi, j'ai donc geler la version du paquet.

Flo

Hors ligne

#16 05-08-2012 13:05:08

dominicano
Membre
Lieu : Arles
Distrib. : Debian Wheezy
Noyau : 3.2.0-1 amd-64
(G)UI : Gnome Shell
Inscription : 20-02-2012
Site Web

Re : Texte dégradé (dans le sens abîmé)

Bonjour.

J'ai le même problème d'affichage dans une Wheezy fraîchement installée.
J'ai une Wheezy - Gnome classic - Noyau 3.2.0-1 64 bits

Je lis que la solution est de remplacer le paquet libcairo2_1.12.2-2 par la 1.10.2-7

Mais je suis un gros noob !

Je suis allé voir le lien donné par captnfab pour télécharger l'ancienne version, j'ai pris le .deb qui correspond à ma version, et bien entendu ça n'a pas voulu (A later version is already installed). Logique.

Questions:  Quel paquet je dois prendre, et comment installer ça ?

Tout en sachant que je suis débutant aussi dans la ligne de commande.

Merci par avance !

Dernière modification par dominicano (05-08-2012 13:06:06)

Hors ligne

#17 05-08-2012 14:15:50

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Texte dégradé (dans le sens abîmé)

Bonjour,

Une fois que tu as téléchargé le fichier:
http://snapshot.debian.org/archive/debi … _amd64.deb
ou
http://snapshot.debian.org/archive/debi … 7_i386.deb

suivant que tu aies une distribution 64 bits ou non (« dpkg --print-architecture » te donne la version à prendre)

Ensuite, tu fais simplement, en root, un « dpkg -i libcairo2_1.10.2-7_amd64.deb » (ou i386...), et il doit l'installer. Au pire, un « dpkg --force-downgrade -i libcairo2_1.10.2-7_amd64.deb » devrait lui clouer le bec.

Hop,

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#18 05-08-2012 15:05:20

dominicano
Membre
Lieu : Arles
Distrib. : Debian Wheezy
Noyau : 3.2.0-1 amd-64
(G)UI : Gnome Shell
Inscription : 20-02-2012
Site Web

Re : Texte dégradé (dans le sens abîmé)

Merci captnfab, la première proposition a fonctionné. Plus le bug !

Par contre, dans synaptic, ça me dit qu'il y a un paquet cassé: libgtk2.0-cil 2.12.10.4
Si je veux le réinstaller, il me dit qu'il doit mettre à jour libcairo2. Je ne l'ai pas fait pour ne pas revenir en arrière.
C'est grave docteur ?

Pour figer la version du paquet, je m'y suis pris ainsi dans le fichier préférences, est-ce correct ?

Package: libcairo2
Pin: version 1.10.2-7
Pin-priority: 1001



Un grand merci pour cette aide précieuse que vous apportez tous aux nouveaux comme moi !

Bon dimanche !

Hors ligne

#19 05-08-2012 15:34:02

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Texte dégradé (dans le sens abîmé)

Il y a une manière plus simple pour geler une version:

aptitude hold libcairo2



Ensuite, pour régler les conflits, tu peux essayer « aptitude install -f » et naviguer parmi les solutions.

Peut-être que la version demandée de libgtk2-cil n'est plus dans les dépôts, auquel cas il te faudra aller la chercher dans les snapshot (le site où tu as récupéré la vieille version de libcairo2).

Héhé, on a tous été débutants un jour smile
Au passage, la prochaine fois, même si ton problème est le même que sur un fil de discussion, je te conseille de créer un nouveau sujet plutôt que de simplement répondre.

Bon aprèm sous le soleil du midi smile


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#20 05-08-2012 16:38:29

dominicano
Membre
Lieu : Arles
Distrib. : Debian Wheezy
Noyau : 3.2.0-1 amd-64
(G)UI : Gnome Shell
Inscription : 20-02-2012
Site Web

Re : Texte dégradé (dans le sens abîmé)

Merci, je chercherai dans ce sens là !

C'est noté pour le nouveau sujet wink

Hors ligne

Pied de page des forums